%global namedreltag .cr1
%global upstreamreltag -cr-1
%global namedversion %{version}%{?namedreltag}
%global upstreamnamedversion %{version}%{?upstreamreltag}

Name:             shrinkwrap-resolver
Version:          2.0.0
Release:          0.1%{namedreltag}%{?dist}
Summary:          ShrinkWrap Resolver
License:          ASL 2.0
URL:              http://www.jboss.org/shrinkwrap
Source0:          https://github.com/shrinkwrap/resolver/archive/2.0.0-cr-1.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    maven-model
BuildRequires:    maven-wagon
BuildRequires:    shrinkwrap
BuildRequires:    junit
BuildRequires:    jetty-server
BuildRequires:    mvn(org.apache.maven.plugins:maven-checkstyle-plugin)
BuildRequires:    mvn(org.eclipse.aether:aether-api)
BuildRequires:    mvn(org.eclipse.aether:aether-impl)
BuildRequires:    mvn(org.eclipse.aether:aether-spi)
BuildRequires:    mvn(org.eclipse.aether:aether-util)
BuildRequires:    mvn(org.eclipse.aether:aether-connector-wagon)
BuildRequires:    mvn(org.mockito:mockito-all)
BuildRequires:    mvn(org.apache.maven.plugins:maven-invoker-plugin)

%description
This package contains the ShrinkWrap Resolver.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n resolver-%{upstreamnamedversion}

sed -i "s|org.sonatype.aether|org.eclipse.aether|g" impl-maven/pom.xml
sed -i "s|org.mortbay.jetty|org.eclipse.jetty|g" impl-maven/pom.xml

%pom_remove_plugin ":maven-enforcer-plugin"

# TODO enable this required by WildFly
%pom_disable_module impl-maven
%pom_disable_module impl-maven-archive
%pom_disable_module depchain
%pom_disable_module maven-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc

%changelog
* Fri Jul 26 2013 Marek Goldmann <mgoldman@redhat.com> - 2.0.0-0.1.cr1
- Upstream release 2.0.0-cr-1

* Fri Jul 26 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.7.beta7
- New guidelines

* Tue May 21 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.6.beta7
- migrate from aether to its subpackagesm RHBZ#958164

* Tue Feb 26 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.5.beta7
- Drop custom depmap
- Add missing test dependency in pom after unbundling

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.4.beta7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.0.0-0.3.beta7
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.2.beta7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 00 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.0-0.1.beta7
- Initial packaging

